<?xml version="1.0" encoding="UTF-8" ?>

<ClassComponent localName="DoubleLogger"
	description="Компонент, логирующий числовое значение" fileName="NPCDoubleLogger.jar"
	className="org.mati.npc.components.doublevaluelogger.NPCDoubleLogger"
	version="8791" time="17.02.2009 01:05:07">

	<Group>Журналирование</Group>

	<INLink name="Double"
		description="Изменяет значение в памяти, и передает по всем исходящим связям."
		interfaceName="org.mati.npc.components.interfaces.DoubleValue"
		linksNumber="0" nullable="false">
	</INLink>
	<INLink name="Log"
		description="Записывает в лог последнее пришедшее значение"
		interfaceName="org.mati.npc.components.interfaces.SensorListener"
		linksNumber="0" nullable="false">
	</INLink>

	<OUTLink name="Out"
		description="Исходящая связь для передачи DoubleValue"
		interfaceName="org.mati.npc.components.interfaces.DoubleValue"
		linksNumber="0" nullable="true">
	</OUTLink>

	<Attribute name="Name" description="Наименование параметра"
		nullable="false" type="java.lang.String" defaultValue="Компонент записи числового значения">
	</Attribute>
	
	<Attribute name="LogByTrue" description="Если включено - логируется только по true, выключено - по true/false" nullable="false"
		type="java.lang.Boolean" defaultValue="false">
	</Attribute>
	
	<Attribute name="Format"
	description="Формат строки для записи результата."
	type="java.lang.String" nullable="false" defaultValue="%.1f">
	</Attribute>
	

</ClassComponent>